summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
Diffstat (limited to 'eclass')
-rw-r--r--eclass/Manifest.gzbin40351 -> 40347 bytes
-rw-r--r--eclass/toolchain.eclass7
-rw-r--r--eclass/xorg-3.eclass8
3 files changed, 13 insertions, 2 deletions
diff --git a/eclass/Manifest.gz b/eclass/Manifest.gz
index 3b229ca674b7..8d5b2f025959 100644
--- a/eclass/Manifest.gz
+++ b/eclass/Manifest.gz
Binary files differ
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index e365269d1c18..d48d8cf78d06 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -2646,6 +2646,13 @@ toolchain_src_install() {
fi
fi
+ # Hack for C++ modules
+ if ! is_crosscompile; then
+ # PR19266 (bug #948394)
+ sed -i -e "s,\.\./lib/gcc/${CHOST}/${GCCMAJOR}/include/,include/," \
+ "${ED}"/usr/lib/gcc/${CHOST}/${GCCMAJOR}/libstdc++.modules.json || die
+ fi
+
# As gcc installs object files built against both ${CHOST} and ${CTARGET}
# ideally we will need to strip them using different tools:
# Using ${CHOST} tools:
diff --git a/eclass/xorg-3.eclass b/eclass/xorg-3.eclass
index 2ca5959dd1e7..db2d8fa85df9 100644
--- a/eclass/xorg-3.eclass
+++ b/eclass/xorg-3.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: xorg-3.eclass
@@ -135,7 +135,11 @@ if [[ ${PN} != util-macros ]] ; then
# Required even by xorg-server
[[ ${PN} == "font-util" ]] || EAUTORECONF_DEPEND+=" >=media-fonts/font-util-1.2.0"
fi
-[[ ${XORG_EAUTORECONF} != no ]] && BDEPEND+=" ${EAUTORECONF_DEPEND}"
+if [[ ${XORG_EAUTORECONF} == no ]] ; then
+ BDEPEND+=" ${LIBTOOL_DEPEND}"
+else
+ BDEPEND+=" ${EAUTORECONF_DEPEND}"
+fi
unset EAUTORECONF_DEPEND
# @ECLASS_VARIABLE: FONT_DIR